document.addEventListener('DOMContentLoaded', () => {
  const books = document.querySelectorAll('.book');
  
  books.forEach(book => {
    book.addEventListener('click', () => {
      const pdfFile = book.dataset.pdf;
      if (pdfFile) {
        // In a real implementation, this would trigger the PDF download
        console.log(`Downloading: ${pdfFile}`);
        alert('Download starting...');
      }
    });

    // Add 3D hover effect
    book.addEventListener('mousemove', (e) => {
      const rect = book.getBoundingClientRect();
      const x = e.clientX - rect.left;
      const y = e.clientY - rect.top;
      
      const rotateY = (x / rect.width - 0.5) * 20;
      const rotateX = (y / rect.height - 0.5) * 20;
      
      book.style.transform = `
        translateY(-20px)
        rotateX(${-rotateX}deg)
        rotateY(${rotateY}deg)
      `;
    });

    book.addEventListener('mouseleave', () => {
      book.style.transform = '';
    });
  });
});
